%define name xnc
%define version 5.0.4
%define release %mkrel 6
%define iconname %{name}.png
 

Name: %name
Summary: X Northern Captain - X filemanager with many functions 
Version: %version
Release: %release
Source0: %{name}-%{version}.src.tar.bz2
Url: http://www.xnc.dubna.su  
Group:  File tools
Buildrequires: X11-devel ImageMagick
BuildRequires: libpng-devel libjpeg-devel libtiff-devel
License: GPL

%description
This program allows the user to navigate through many filesystems,
manipulate files, archives, execute commands in builtin shell, view
and edit images, text and binary files...

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
# (misc) the configure is not generated by aclocal, and doesn't support --bindir and others
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s ./configure \
	  --with-x \
	  --libdir=%{_libdir} 

%make

%install

%makeinstall_std

mkdir -p $RPM_BUILD_ROOT/%{_mandir}
mv  -f  $RPM_BUILD_ROOT/%{_prefix}/man/man1 $RPM_BUILD_ROOT/%{_mandir}

mkdir -p $RPM_BUILD_ROOT/usr/share/%{name}-%{version}/help
mv $RPM_BUILD_DIR/%{name}-%{version}/doc/*.html  $RPM_BUILD_ROOT/usr/share/%{name}-%{version}/help 
 
mkdir -p $RPM_BUILD_ROOT%_sysconfdir/X11/wmconfig
cat > $RPM_BUILD_ROOT%_sysconfdir/X11/wmconfig/xnc <<EOF
xnc name "X Northern Captain"
xnc description "filemanager for X Window"
xnc icon "xnc.png"
xnc mini-icon "mini-xnc.png"
xnc group "Utilities/File Management"
xnc exec "xnc &"
EOF

mkdir -p %{buildroot}{%{_miconsdir},%{_iconsdir},%{_liconsdir},%{_menudir}}
convert %{buildroot}/usr/share/pixmaps/xnc.png -geometry 48x48 %{buildroot}%{_liconsdir}/%{iconname}
convert %{buildroot}/usr/share/pixmaps/xnc.png -geometry 32x32 %{buildroot}%{_iconsdir}/%{iconname}
convert %{buildroot}/usr/share/pixmaps/xnc.png -geometry 16x16 %{buildroot}%{_miconsdir}/%{iconname}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
cat << EOF > %buildroot%{_datadir}/applications/mandriva-%{name}.desktop
[Desktop Entry]
Type=Application
Categories=X-MandrivaLinux-System-FileTools;System;
Name=Xnc
Comment=X Northern Captain - X filemanager with many functions
Exec=xnc
Icon=%{name}
EOF

 
%find_lang %{name}
rm -fr $RPM_BUILD_ROOT/%_docdir/%{name}-%{version}

%post 
%{update_menus}

%postun
%{clean_menus}  

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root) 
%doc AUTHORS INSTALL INSTALL-bin.xnc LICENSE  release.news 
%doc README README.keys TODO WHATS_NEW   
%_bindir/*
%_libdir/xnc
%_mandir/man1/*
%config(noreplace) %_sysconfdir/X11/wmconfig/xnc
%{_datadir}/applications/xnc-gnome2.desktop
%{_datadir}/applnk/System/X_Northern_Captain.desktop
%{_datadir}/gnome/apps/Applications/xnc.desktop
%{_datadir}/pixmaps/*.* 
%{_datadir}/applications/mandriva-%{name}.desktop
%{_miconsdir}/%{iconname}
%{_iconsdir}/%{iconname}
%{_liconsdir}/%{iconname}
%_datadir/%name-%version



%changelog
* Thu Dec 20 2007 Thierry Vignaud <tvignaud@mandriva.com> 5.0.4-6mdv2008.1
+ Revision: 135913
- really fix build
- further fix build
- fix build
- revert r135564
- auto-convert XDG menu entry
- adatp to new docdir
- kill re-definition of %%buildroot on Pixel's request
- buildrequires X11-devel instead of XFree86-devel
- import xnc


* Fri Jan 13 2006 Anssi Hannula <anssi@mandriva.org> 5.0.4-6mdk
- fix BuildRequires

* Sun Jan 08 2006 Anssi Hannula <anssi@mandriva.org> 5.0.4-5mdk
- fix x86_64 build

* Thu Jan 05 2005 Lenny Cartier <lenny@mandriva.com> 5.0.4-4mdk
- rebuild

* Mon Aug 23 2004 Charles A Edwards <eslrahc@mandrake.org> 5.0.4-3mdk
- rebuild for new menu

* Wed Jun 16 2004 Charles A Edwards <eslrahc@mandrake.org> 5.0.4-2mdk
- rebuild
- quiet setup
- fix Section in menu

* Fri Jan 09 2004 Lenny Cartier <lenny@mandrakesoft.com> 5.0.4-1mdk
- 5.0.4

* Mon Sep 01 2003 Lenny Cartier <lenny@mandrakesoft.com> 5.0.2-4mdk
- owns datadir/xnc-version

* Wed Jul 23 2003 Lenny Cartier <lenny@mandrakesoft.com> 5.0.2-3mdk
- buildrequires from Michael Scherer

* Tue May 06 2003 Lenny Cartier <lenny@mandrakesoft.com> 5.0.2-2mdk
- buildrequires

* Thu Feb 06 2003 Lenny Cartier <lenny@mandrakesoft.com> 5.0.2-1mdk
- 5.0.2
- use versioning when installing files

* Thu Jan 9 2003 Charles A Edwards <eslrahc@bellsouth.net> 5.0.0-1mdk
- 5.0.0
- convert src tar.gz to tar.bz2 
- icons
- menu entry
- add files
- spec clean-up--get rid of stuff we don't need anymore

* Fri Sep 06 2002 Lenny Cartier <lenny@mandrakesoft.com> 4.4.7-3mdk
- rebuild

* Fri May 31 2002 Lenny Cartier <lenny@mandrakesoft.com> 4.4.7-2mdk
- rebuild against new libstdc++
- clean spec ( macros )

* Thu Apr 25 2002 Lenny Cartier <lenny@mandrakesoft.com> 4.4.7-1mdk
- updated by Charles A Edwards <eslrahc@bellsouth.net>





